Skip to main content
`Ctrl`+`K`

# DMPlex_Surface_Grad

Exposes the Geometry’s Control Points and Weights and Calculates the Mesh Topology Boundary Nodes Gradient with respect the associated geometry’s Control Points and Weights.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlex_Surface_Grad(DM dm)

// —– Depreciated —- See DMPlexGeomDataAndGrads —— //

Collective

## Input Parameters

- dm - The DM object representing the mesh with PetscContainer containing an EGADS geometry model

## Output Parameter

- dm - The DM object representing the mesh with PetscContainers containing the EGADS geometry model, Array-Hash Table Geometry Control Point Pair, Array-Hash Table Geometry Weights Pair and Matrix-Hash Table Surface Gradient Pair

## See Also

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages